Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230105 - e-d-s needs to fall back to reading from ~/.face
Summary: e-d-s needs to fall back to reading from ~/.face
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-data-server
Version: 9
Hardware: All
OS: Linux
high
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: F9Target
TreeView+ depends on / blocked
 
Reported: 2007-02-26 17:48 UTC by David Zeuthen
Modified: 2009-07-14 16:44 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:44:33 UTC


Attachments (Terms of Use)

Description David Zeuthen 2007-02-26 17:48:42 UTC
For f-u-s we're considering giving random login pictures to users upon account
creation. This means ~/.face will be set. As such, it would be useful if e-d-s
read from ~/.face by default instead of assuming no picture is set.

It's an open question if e-d-s should update ~/.face if the user selects a new
picture. Matthias says it may be desirable to have separate faces for gdm and
eds... 

But at least e-d-s should read ~/.face.

Comment 1 Matthew Barnes 2007-04-03 00:42:16 UTC
David (or Matthias),

Can you enlighten me a little more about what ~/.face is used for?  Is this a
(de facto) standard file that other applications know about?  Is it localized?

Seems like it should be pretty simple to implement once I understand the
requirements.

Comment 2 David Zeuthen 2007-04-03 00:48:14 UTC
(In reply to comment #1)
> David (or Matthias),
> 
> Can you enlighten me a little more about what ~/.face is used for?  Is this a
> (de facto) standard file that other applications know about?  Is it localized?
> 
> Seems like it should be pretty simple to implement once I understand the
> requirements.

Yes, ~/.face is used by both gdm and fusa to display the users "face" in resp.
the login menu and the user switcher applet. It's not localized and in the
future we may pull the "face" from another source... If it's a lot of work, I'm
not sure it's worth the effort. Matthias?


Comment 3 Matthias Clasen 2007-04-03 20:21:31 UTC
Given that we don't install a .face by default, the user has to bring up the
about me capplet anyway to select a face, and the capplet writes to both
locations, so I think this is not a big win. All it would do is make evolution
pick up the preinstalled face on the live cd, right ?

Comment 4 Matthias Clasen 2007-04-03 20:22:44 UTC
To complete that comment, I don't think random faces is worthwhile until we
can make the fast-user-switch-applet show them, too. 

Comment 5 Matthew Barnes 2007-04-03 20:27:31 UTC
So this definitely shouldn't be an FC7Blocker.  Moving to FC7Target for now.
I'll at least give it a quick looksee.

Comment 6 Matthew Barnes 2007-10-02 23:52:47 UTC
I've informed upstream about this.

Comment 7 Matthew Barnes 2007-10-04 16:27:15 UTC
Moving to F9Target

Comment 8 Milan Crha 2008-02-11 18:19:50 UTC
Moving to rawhide per last comment.

Comment 9 Bug Zapper 2009-06-09 22:29:06 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Matthew Barnes 2009-06-29 01:33:10 UTC
Cleaning house.  Is this feature still desirable and worth pushing upstream or should I let it expire?

Comment 11 Matthias Clasen 2009-06-29 01:54:24 UTC
I'd talk to Ray, I think we want to get some other storage for this kind of per-user data

Comment 12 Bug Zapper 2009-07-14 16:44:33 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.